Bug 925484 - gq: Does not support aarch64 in f19 and rawhide
gq: Does not support aarch64 in f19 and rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gq (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2013-03-22 20:40 EDT by Dennis Gilmore
Modified: 2013-12-13 22:04 EST (History)
1 user (show)

See Also:
Fixed In Version: gq-1.3.4-19.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 04:34:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-03-22 20:40:08 EDT
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  gq appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/gq/gq-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.
Comment 1 Fedora Update System 2013-11-18 15:23:39 EST
gq-1.3.4-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc19
Comment 2 Fedora Update System 2013-11-18 15:24:02 EST
gq-1.3.4-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc20
Comment 3 Fedora Update System 2013-11-18 15:24:27 EST
gq-1.3.4-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc18
Comment 4 Fedora Update System 2013-11-19 00:24:56 EST
Package gq-1.3.4-18.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gq-1.3.4-18.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21651/gq-1.3.4-18.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-12-02 04:34:34 EST
gq-1.3.4-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-02 04:38:04 EST
gq-1.3.4-19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-13 22:04:36 EST
gq-1.3.4-19.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.